這個外掛並未在最新的 3 個 WordPress 主要版本上進行測試。開發者可能不再對這個外掛進行維護或提供技術支援,並可能會與更新版本的 WordPress 產生使用上的相容性問題。

F4 Error Pages

外掛說明

Sometimes the WordPress default error page handling is not enough, because it only shows a simple text or you have to create a custom 404 template with (more) static content.
F4 Error Pages allows you to assign any existing page from your installation to be shown, if a page is not found or the permissions for a request is denied.
So you can create nice and informative error pages with your own content elements or whatever you like, fast, without overhead and unnecessary features.

Usage

After installation you can assign existing pages as error pages. By default there are no pages assigned.
You can access the settings page either if you click the ‘Settings’ link in the plugins list or you can find it directly in the menu (Settings -> Error Pages).

Features overview

  • Show custom page if requested url is not found (404)
  • Show custom page if permission is denied (403)
  • Easy to use
  • Lightweight and optimized
  • 100% free!

螢幕擷圖

  • Configuration in WordPress settings

安裝方式

  1. Upload the plugin files to the /wp-content/plugins/f4-error-pages directory, or install the plugin through the WordPress plugins screen directly
  2. Activate the plugin through the ‘Plugins’ screen in WordPress
  3. Assign custom pages on the settings page (Settings -> Error Pages)

常見問題集

Is it really free?

Yes, absolutely!

使用者評論

這個外掛目前沒有任何使用者評論。

參與者及開發者

以下人員參與了開源軟體〈F4 Error Pages〉的開發相關工作。

參與者

〈F4 Error Pages〉外掛目前已有 3 個本地化語言版本。 感謝全部譯者為這個外掛做出的貢獻。

將〈F4 Error Pages〉外掛本地化為台灣繁體中文版

對開發相關資訊感興趣?

任何人均可瀏覽程式碼、查看 SVN 存放庫,或透過 RSS 訂閱開發記錄

變更記錄

1.0.10

  • Support WordPress 6.1

1.0.9

  • Update www.f4dev.ch links

1.0.8

  • Support WordPress 6.0

1.0.7

  • Support WordPress 5.9

1.0.6

  • Fix compatibility with Redirection plugin (thanks to marcselman for the hint)

1.0.5

  • Support WordPress 5.8

1.0.4

  • Fix notices in WooCommerce
  • Fix meta title and description for Yoast SEO
  • Remove trailing php tags

1.0.3

  • Support WordPress 5.7

1.0.2

  • Support WordPress 5.6

1.0.1

  • Support WordPress 5.5

1.0.0

  • Initial stable release